Get the Packet Constructor protocol library
GET
/packet-constructor/protocolsReturns the Packet Constructor protocols: fields with bit offsets, formats, defaults, and auto-calculation, and the allowed next headers, as well as the template and binary format versions, frame size and preview limits, and IMIX presets.
Contract
Parameter | Value |
|---|---|
| Section | packet-constructor |
| Authentication | CookieAuth |
| Consumes | not required |
| Produces | application/json |
Parameters
0 parameters
No parameters are required.
Responses
3 responses
Status | Description | Type |
|---|---|---|
200 | OK | object |
401 | Unauthorized | object |
500 | Protocol library failed to load | object |
{ "formatVersion": 0, "imixPresets": { "<key>": [ { "size": 0, "weight": 0 } ] }, "maxFrameSize": 0, "maxPreviewFrames": 0, "minFrameSize": 0, "protocols": [ { "fields": [ { "auto": {}, "bind": "<string>", "bitOffset": 0, "bits": 0, "default": "<string>", "format": "<string>", "id": "<string>", "name": "<string>", "readOnly": true } ], "id": "<string>", "length": 0, "name": "<string>", "root": true, "standard": "<string>", "successors": [ "<string>" ] } ], "templateVersion": 0 }{ "data": {}, "error": "<string>" }{ "data": {}, "error": "<string>" }